Processes
The processes resource.
Basehttps://rest.carbon.ms/processes
GET
/processesList processess
Retrieve a paginated list of processess. Filter, order, and select columns with PostgREST query parameters.
Query parameters
selectstringComma-separated columns to return. Defaults to all.
orderstringColumn to sort by, e.g. `createdAt.desc`.
limitintegerMaximum rows to return.
offsetintegerRows to skip, for pagination.
GEThttps://rest.carbon.ms/processes
curl --request GET \
--url 'https://rest.carbon.ms/processes?select=*&limit=10' \
--header 'Authorization: Bearer <api-key>'Response
[
{
"id": "abc123def456",
"name": "Example",
"defaultStandardFactor": "string",
"companyId": "xyz789",
"customFields": "string",
"createdBy": "string",
"createdAt": "2026-01-01T00:00:00Z",
"updatedBy": "string"
}
]GET
/processesRetrieve a processes
Fetch a single processes by filtering on `id`.
Query parameters
idstringMatch on the processes's `id`, e.g. `eq.{id}`.
GEThttps://rest.carbon.ms/processes
curl --request GET \
--url 'https://rest.carbon.ms/processes?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'Response
{
"id": "abc123def456",
"name": "Example",
"defaultStandardFactor": "string",
"companyId": "xyz789",
"customFields": "string",
"createdBy": "string",
"createdAt": "2026-01-01T00:00:00Z",
"updatedBy": "string"
}